Stream EstateStream Estate
GeoAutocomplete

Location autocomplete suggestions

Returns location suggestions based on search query. Supports typo-tolerant search, postal code prefixes, and filtering by administrative type.

GET
/geo/autocomplete

Query Parameters

q*string

Search query string (minimum 1 character).

Length1 <= length
locationType?|array<>

Administrative type filter. Supports single value (?type=municipality) or array syntax (?type[]=municipality&type[]=municipal_district).

limit?integer

Maximum number of results.

Default30
Range0 <= value <= 30
page?integer

The collection page number

Default1

Response Body

curl -X GET "https://api-v2.stream.estate/geo/autocomplete?q=paris&locationType=municipality&limit=10"
[
  {
    "uuid": "string",
    "name": "string",
    "locationType": "string",
    "parentName": "string",
    "regionName": "string",
    "countryCode": "string",
    "postalCode": "string",
    "centroid": {
      "type": "string",
      "coordinates": [
        "string"
      ]
    },
    "metadata": {
      "property1": "string",
      "property2": "string"
    }
  }
]
{
  "title": "string",
  "detail": "string",
  "status": 404,
  "instance": "string",
  "type": "string"
}